Skip to main content
PATCH
/
api
/
v1
/
errors
/
{errorId}
cURL
curl --request PATCH \
  --url https://api.staging.qyl.dev/api/v1/errors/{errorId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "assigned_to": "<string>",
  "issue_url": "<string>"
}
'
import requests

url = "https://api.staging.qyl.dev/api/v1/errors/{errorId}"

payload = {
"assigned_to": "<string>",
"issue_url": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({assigned_to: '<string>', issue_url: '<string>'})
};

fetch('https://api.staging.qyl.dev/api/v1/errors/{errorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error_id": "<string>",
  "error.type": "<string>",
  "message": "<string>",
  "fingerprint": "<string>",
  "first_seen": "2023-11-07T05:31:56Z",
  "last_seen": "2023-11-07T05:31:56Z",
  "occurrence_count": 1,
  "affected_users": 1,
  "affected_services": [
    "<string>"
  ],
  "assigned_to": "<string>",
  "issue_url": "<string>",
  "sample_traces": [
    "0af7651916cd43dd8448eb211c80319c"
  ]
}
{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Path Parameters

errorId
string
required

Body

application/json

Error update request

status
enum<string>

New status

Available options:
new,
acknowledged,
in_progress,
resolved,
ignored,
regressed,
wont_fix
assigned_to
string

Assignee

issue_url
string<uri>

Issue URL

Response

The request has succeeded.

Error entity for tracking and analysis

error_id
string
required

Error ID

error.type
string
required

Error type (class name or code)

message
string
required

Error message

category
enum<string>
required

Error category

Available options:
client,
server,
network,
timeout,
validation,
authentication,
authorization,
rate_limit,
not_found,
conflict,
internal,
external,
database,
configuration,
unknown
fingerprint
string
required

Fingerprint for grouping

first_seen
string<date-time>
required

First occurrence

last_seen
string<date-time>
required

Last occurrence

occurrence_count
integer<int64>
required

Occurrence count

Required range: x >= 0
status
enum<string>
required

Status

Available options:
new,
acknowledged,
in_progress,
resolved,
ignored,
regressed,
wont_fix
affected_users
integer<int64>

Affected users count

Required range: x >= 0
affected_services
string[]

Affected services

assigned_to
string

Assigned to

issue_url
string<uri>

Issue tracker URL

sample_traces
string[]

Sample trace IDs

Unique trace identifier (32 lowercase hex characters)

Required string length: 32
Pattern: ^[a-f0-9]{32}$